# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4

##
## Copyright (C) 2011 Async Open Source <http://www.async.com.br>
## All rights reserved
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., or visit: http://www.gnu.org/.
##
## Author(s):   George Kussumoto        <george@async.com.br>
##

from kiwi.dist import setup, listfiles
from stoqlib import website


resources = dict(
    plugin='$prefix/lib/stoqlib/plugins',
    locale="$prefix/share/locale",
)

data_files = [
    ('$prefix/lib/stoqlib/plugins/tef/glade',
     listfiles('glade', '*.ui')),
    ('$prefix/lib/stoqlib/plugins/tef/sql',
     listfiles('sql', '*.sql')),
    ('$prefix/lib/stoqlib/plugins/tef/sql',
     listfiles('sql', '*.py')),
    ('$prefix/lib/stoqlib/plugins/tef',
     listfiles('*.py')),
    ('$prefix/lib/stoqlib/plugins/tef',
     listfiles('*.plugin')),
]

# FIXME: somente no simulador
data_files += [
    ('$prefix/lib/stoqlib/plugins/tef/ClientSimulator',
        listfiles('ClientSimulator', '*')),
    ('$prefix/lib/stoqlib/plugins/tef/pinpad',
        ['pinpad/pinpad.py', 'pinpad/pinpad.ui', 'pinpad/cards.txt']),
    ('$prefix/lib/stoqlib/plugins/tef',
        ['tty0tty.ko']),
]

setup(name='stoqtef',
      version='0.1',
      author="Async Open Source",
      author_email="stoq-devel@async.com.br",
      description="TEF Plugin for Stoq",
      long_description="""
      The StoqTEF plugin adds support for TEF transactions in Stoq System.
      """,
      url=website,
      license="GNU LGPL 2.1 (see COPYING)",
      data_files=data_files,
      resources=resources,
)
