#!/bin/bash
ROOT=$(dirname $0)
export FONTCONFIG_PATH=/etc/fonts
export GCONF_DEFAULT_SOURCE_PATH="$ROOT/etc/gconf/2/path.jhbuild"
export GCONF_SCHEMA_INSTALL_SOURCE="xml:merged:$ROOT/etc/gconf/gconf.xml.defaults"
export GI_TYPELIB_PATH="$ROOT/lib/girepository-1.0:/usr/lib/girepository-1.0"
export GTK_EXE_PREFIX="$ROOT"
export GTK_DATA_PREFIX="$ROOT"
export LD_LIBRARY_PATH="$ROOT/lib"
export PATH="$ROOT/bin:$PATH"
export PKG_CONFIG_PATH="$ROOT/lib/pkgconfig:$ROOT/share/pkgconfig:$PKG_CONFIG_PATH"
export PYTHON="$ROOT/bin/python"
export PYTHONPATH="$ROOT/lib/python2.7/site-packages"
export XCURSOR_PATH="$ROOT/share/icons"
export XDG_CONFIG_DIRS="$ROOT/etc/xdg:$XDG_CONFIG_DIRS"
export XDG_DATA_DIRS="$ROOT/share:$XDG_DATA_DIRS"
unset GTK_MODULES

GDK_PIXBUF_DIR=$ROOT/lib/gdk-pixbuf-2.0/2.10.0
SVG_LOADER=$GDK_PIXBUF_DIR/loaders/libpixbufloader-svg.so
export GDK_PIXBUF_MODULE_FILE=$GDK_PIXBUF_DIR/loaders.cache

if [ "$(grep $SVG_LOADER $GDK_PIXBUF_MODULE_FILE 2>&1 /dev/null)" ]; then
    if [ ! -w "$GDK_PIXBUF_DIR/loaders" ]; then
        echo "Could not load Stoq, $GDK_PIXBUF_DIR/loaders needs to be writable"
        exit
    fi
    echo "Updating $GDK_PIXBUF_MODULE_FILE"
    $ROOT/bin/gdk-pixbuf-query-loaders $SVG_LOADER > $GDK_PIXBUF_MODULE_FILE
fi

$ROOT/bin/python $ROOT/bin/stoq $@
